#!/bin/sh
#
##########################################################################
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
##########################################################################
#
# jdi-server launcher script
# 
# When launched, allows a debugger to attach over JDWP to a dump artifact.
# 
#
# Requires JAVA_HOME to be set to the location of an installed JDK.
# 
# Usage:
#   jdi-server <core file>
#
#
DIR=`dirname $0`
JARS=$DIR/../lib

$JAVA_HOME/jre/bin/java -classpath $JARS/kato.api-M1-incubating.jar:\
$JARS/kato.cjvmti-M1-incubating.jar:\
$JARS/kato.common-M1-incubating.jar:\
$JARS/kato.hprof.api-M1-incubating.jar:\
$JARS/kato.hprof.reader-M1-incubating.jar:\
$JARS/kato.jdi-M1-incubating.jar \
org.apache.kato.tools.jdi.JDIController $@

